Subject: Re: Setup hangs in postinstall
From: Antoine Labour <[email-masked]>
To: Michael Robbert <[email-masked]>
Cc: Brian Ford <[email-masked]>, [email-masked]
Date: Fri, 05 Dec 2003 12:58:58 -0800

Michael Robbert wrote:
> Brian,
> Thanks for your quick response, but we have done multiple searches on 
> google and the list archives. I read every post that I could find about 
> the problems in October where setup was hanging during postinstall. That 
> is where I got many of my ideas for debugging already i.e. gdb, strace, 
> sh -x
> The message that you point my to is about an update to bash, I checked 
> my version of bash and it is already 2.05b-16. That is what is installed 
> by default with the current installer. So, I'm sorry that doesn't lead 
> to a solution.
> 
> Brian Ford wrote:
> 
>> On Fri, 5 Dec 2003, Michael Robbert wrote:
>>
>>
>>> A co-worker and I are trying to debug a problem that we came across
>>> while trying to do a new install of Cygwin on a clients computer. We
>>> have the current version of Setup.exe(2.416) and we have tried to
>>> install from a couple of mirrors, but even when doing just a base
>>> install the process hangs on two postinstall scripts.
>>> base-files-mketc.sh and base-files-profile.sh
>>> If you hit cancel in setup you end up with a partially working system. I
>>> have been able to open a bash shell and kill those processes and the
>>> rest of the scripts run fine. I then try to run the scripts manually and
>>> they still hang. I have run them with sh -x to see where they're getting
>>> stuck and I have found that it is any time they try to assign a variable
>>> to the output of a command i.e.: OSNAME="`/bin/uname -s`"
>>> I can reproduce the problem with just that line on from a bash or sh
>>> shell prompt. I have also tried to strace this command, but I get no
>>> output at all. Setting variables to a simple string works fine.
>>>
>>> What is interesting is that the problem happens on both my laptop and
>>> the clients workstation, but not my co-workers laptop. They are all
>>> running XP SP1. I also can not reproduce the problem on another laptop
>>> that is running Windows 2000 SP4. There are a few less minor patches on
>>> my co-workers laptop, but that is the only difference that we can think
>>> of. What else can we look at to find out why this problem is happening
>>> on two computers, but not others?
>>>
>>
>> Maybe the mailing list archives or google?
>>
>> http://www.cygwin.com/ml/cygwin-announce/2003-10/msg00022.html
>>
>> Let us know if this does not lead you to the solution.

How about that one : http://cygwin.com/ml/cygwin/2003-12/msg00032.html
I'm having similar problems (random hangs with bash on command 
substitution under cygwin), still unresolved.

Cheers,
Antoine

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/